complexType "CommodityOption"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 30 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, ((commodity?, (effectiveDate?, (calculationPeriodsSchedule? | calculationPeriods?), pricingDates?, averagingMethod?)?, (((notionalQuantitySchedule? | notionalQuantity | settlementPeriodsNotionalQuantity*), totalNotionalQuantity) | quantityReference), exercise?, (strikePricePerUnit | strikePricePerUnitSchedule?)) | ((commoditySwap? | commodityForward?), physicalExercise?)), premium?, (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?
</...>

Content Model Elements (30):

  assetClass (defined in Product.model group),
  averagingMethod (in commodityOption),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  calculationPeriods (in commodityOption),
  calculationPeriodsSchedule (in commodityOption),
  commodity (in commodityOption),
  commodityForward,
  commoditySwap,
  commonPricing,
  effectiveDate (in commodityOption),
  exercise (in commodityOption),
  marketDisruption (defined in CommodityContent.model group),
  notionalQuantity,
  notionalQuantitySchedule,
  optionType (in commodityOption),
  physicalExercise,
  premium (in commodityOption),
  pricingDates (in commodityOption),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  quantityReference (defined in CommodityNotionalQuantity.model group),
  rounding (defined in CommodityContent.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  settlementDisruption,
  settlementPeriodsNotionalQuantity,
  strikePricePerUnit,
  strikePricePerUnitSchedule,
  totalNotionalQuantity

All Direct / Indirect Based Elements (1):

  commodityOption

Known Usage Locations

- As direct type of elements (1):
  commodityOption

Annotation
Commodity Option.
Type Definition Detail

Type Derivation Tree Product (extension) CommodityOption

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityOption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> <xsd:choice> <xsd:group ref="CommodityFinancialOption.model"/> <xsd:group ref="CommodityPhysicalOption.model"/> </xsd:choice> <xsd:element minOccurs="0" name="premium" type="CommodityPremium"/> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/30)
optionType

  Type: | PutCallEnum, simple content

  The type of option transaction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/>

premium

  Type: | CommodityPremium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premium" type="CommodityPremium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.